Package com.io7m.waxmill.xml.vm.v1

# Class WXMVirtualMachineParser

java.lang.Object
com.io7m.waxmill.xml.vm.v1.WXMVirtualMachineParser

All Implemented Interfaces:
  `WXMParserType<WXMVirtualMachineSet>`, `WXMVirtualMachineParserType`, `java.io.Closeable`, `java.lang.AutoCloseable`

    public final class WXMVirtualMachineParser
    extends java.lang.Object
    implements WXMVirtualMachineParserType

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXMVirtualMachineParser​(java.nio.file.FileSystem inFileSystem, java.util.function.Consumer<WXMParseError> inErrors, java.net.URI inSource, java.io.InputStream inStream, org.xml.sax.XMLReader inReader)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `close()` |
  `java.util.Optional<WXMVirtualMachineSet>` | `parse()` | Attempt to parse a value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WXMVirtualMachineParser

    public WXMVirtualMachineParser​(java.nio.file.FileSystem inFileSystem, java.util.function.Consumer<WXMParseError> inErrors, java.net.URI inSource, java.io.InputStream inStream, org.xml.sax.XMLReader inReader)

- ## Method Details

  - ### parse

    public java.util.Optional<WXMVirtualMachineSet> parse()
    Description copied from interface: `WXMParserType`
    Attempt to parse a value. The method returns a non-empty value if no errors occurred and a valid value was parsed.
    Specified by:
      `parse` in interface `WXMParserType<WXMVirtualMachineSet>`
    Specified by:
      `parse` in interface `WXMVirtualMachineParserType`
    Returns:
      The parsed value, if any

  - ### close

    public void close() throws java.io.IOException
    Specified by:
      `close` in interface `java.lang.AutoCloseable`
    Specified by:
      `close` in interface `java.io.Closeable`
    Throws:
      `java.io.IOException`